import { OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { ElibFieldComponent } from '../elib-field.component';
export declare class ElibFieldDateComponent extends ElibFieldComponent implements OnInit {
    readonly translateClient: TranslateService;
    private readonly numericKeys;
    private readonly movementKeys;
    private readonly deleteKeys;
    private readonly allowedKeys;
    constructor(translateClient: TranslateService);
    ngOnInit(): void;
    initField(): void;
    isZoneFull(pos: number, val: string): boolean;
    clearInRange(fld: HTMLInputElement, val: string, start: number, end: number): void;
    parseEventKey(e: InputEvent): string;
    private getEventData;
    private preventEventDefault;
    private addZeroAsPrefix;
    private addZeroAtFourth;
    private preventDefaultIfBackspace;
    private clearSelectionIfNotSlash;
    handleKeyDown(e: KeyboardEvent): void;
    private selectionStartPos;
    private getPosEnd;
    private getPos;
    private isBackspaceorMoving;
    private shouldbeSlash;
    private numericOneFour;
    private delNPosTwoFive;
    private posThreeSixNBackspace;
    private posTwoFive;
}
